Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1526040 - Tagged Datastores in chargeback storage don't work
Summary: Tagged Datastores in chargeback storage don't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.3
Assignee: Libor Pichler
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1510898
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 16:44 UTC by Satoe Imaishi
Modified: 2018-02-28 13:11 UTC (History)
9 users (show)

Fixed In Version: 5.8.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510898
Environment:
Last Closed: 2018-02-28 13:11:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-12-15 14:00:59 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/dea4b85641fa98ba89849e3709e3dd8d0a1c68fb

commit dea4b85641fa98ba89849e3709e3dd8d0a1c68fb
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Dec 12 11:26:05 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 15 08:49:31 2017 -0500

    Merge pull request #16638 from lpichler/consider_cloud_volumes_as_datastorages
    
    Consider cloud volumes as data storages in chargeback
    (cherry picked from commit 633283e3f38e6cf2edf9210ffc8ac7d4a287135b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1526040

 app/models/chargeback_rate.rb               |  6 ++++++
 app/models/metric/chargeback_helper.rb      |  5 ++---
 app/models/mixins/assignment_mixin.rb       |  8 +++++---
 spec/models/mixins/assignment_mixin_spec.rb | 21 +++++++++++++++++++++
 4 files changed, 34 insertions(+), 6 deletions(-)

Comment 4 Nandini Chandra 2018-01-17 23:38:05 UTC
Verified in 5.8.3.1

Comment 7 errata-xmlrpc 2018-02-28 13:11:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.